> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Call Log With Details

> Call Log With Details — CometChat documentation.

## Overview

The `CometChatCallLogsWithDetails` is a [Composite Component](/ui-kit/react/v4/components-overview#composite-components) encompassing components such as [Call Logs](/ui-kit/react/v4/call-logs) and [Call Log Details](/ui-kit/react/v4/call-log-details). Both of these component contributes to the functionality and structure of the overall `CallLogsWithDetails` component.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/L67V-UjCgqzL1qxp/images/74ce09e1-call_logs_with_details_overview_web_screens-e939f51d8856d0ac37927d679d411c74.png?fit=max&auto=format&n=L67V-UjCgqzL1qxp&q=85&s=fa244ef0a4103e27df6aa7cdd84bbdbd" width="3600" height="2400" data-path="images/74ce09e1-call_logs_with_details_overview_web_screens-e939f51d8856d0ac37927d679d411c74.png" />
</Frame>

| Components                                            | Description                                                                                                                                                                                                                                                           |
| ----------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Call Logs](/ui-kit/react/v4/call-logs)               | The `Call Logs` component is designed to show the list of Call Log available . By default, names are shown for all listed users, along with their avatar if available.                                                                                                |
| [Call Log Details](/ui-kit/react/v4/call-log-details) | The `Call Log Details` component is designed to displays all the information related to a call. This component displays information like user/group information, participants of the call, recordings of the call (if available) & history of all the previous calls. |

## Usage

### Integration

<Tabs>
  <Tab title="CallLogsWithDetailsDemo.tsx">
    ```typescript theme={null}
    import { CometChatCallLogsWithDetails } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      return <CometChatCallLogsWithDetails />;
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>

  <Tab title="App.tsx">
    ```typescript theme={null}
    import CallLogsWithDetailsDemo from "./CallLogsWithDetailsDemo";

    export default function App() {
      return (
        <div className="App">
          <CallLogsWithDetailsDemo />
        </div>
      );
    }
    ```
  </Tab>
</Tabs>

***

### Actions

[Actions](/ui-kit/react/v4/components-overview#actions) dictate how a component functions. They are divided into two types: Predefined and User-defined. You can override either type, allowing you to tailor the behavior of the component to fit your specific needs.

While the CallLogsWithDetails component does not have its actions, its components - Call Logs, and Call Log Details - each have their own set of actions.

The Action of the components can be overridden through the use of the Configurations object of its components. Here is an example code snippet.

<Tabs>
  <Tab title="TypeScript">
    CallLogsWithDetailsDemo.tsx

    ```typescript theme={null}
    import {
      CallLogDetailsConfiguration,
      CallLogsConfiguration,
      CometChatCallLogsWithDetails,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      function getOnInfoClick(item: any): void {
        //Your Custom  on info click Actions
      }

      function getOnBackClick(): void {
        //Your Custom on back click Actions
      }

      return (
        <CometChatCallLogsWithDetails
          callLogsConfiguration={
            new CallLogsConfiguration({
              onInfoClick: getOnInfoClick,
            })
          }
          callLogDetailsConfiguration={
            new CallLogDetailsConfiguration({
              onBackClick: getOnBackClick,
            })
          }
        />
      );
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogsWithDetailsDemo.jsx

    ```javascript theme={null}
    import {
      CallLogDetailsConfiguration,
      CallLogsConfiguration,
      CometChatCallLogsWithDetails,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      function getOnInfoClick(item) {
        // Your Custom on info click Actions
      }

      function getOnBackClick() {
        // Your Custom on back click Actions
      }

      return (
        <CometChatCallLogsWithDetails
          callLogsConfiguration={
            new CallLogsConfiguration({
              onInfoClick: getOnInfoClick,
            })
          }
          callLogDetailsConfiguration={
            new CallLogDetailsConfiguration({
              onBackClick: getOnBackClick,
            })
          }
        />
      );
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>
</Tabs>

The `CometChatCallLogsWithDetails` component overrides several actions from its components to reach its default behavior. The list of actions overridden by GroupsWithMessages includes:

* [onInfoClick](/ui-kit/react/v4/call-logs#2-oninfoclick) : By overriding the `onInfoClick` of the Call Logs Component, CallLogsWithDetails achieves navigation from [Call Logs](/ui-kit/react/v4/call-logs) to [Call Log Details](/ui-kit/react/v4/call-log-details) component.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/Mh-tK73gC5erLrBQ/images/f3c9fe21-call_logs_with_details_oninfoclick_web_screens-eb538dc72e4cab0343d776638698f87d.png?fit=max&auto=format&n=Mh-tK73gC5erLrBQ&q=85&s=2d91691569e4fb0be46ef6547c4d68fe" width="3600" height="2400" data-path="images/f3c9fe21-call_logs_with_details_oninfoclick_web_screens-eb538dc72e4cab0343d776638698f87d.png" />
</Frame>

***

### Filters

**Filters** allow you to customize the data displayed in a list within a Component. You can filter the list based on your specific criteria, allowing for a more customized. Filters can be applied using RequestBuilders of Chat SDK.

While the CallLogsWithDetails component does not have filters, its components do, For more detail on individual filters of its component refer to [Call Logs](/ui-kit/react/v4/call-logs) and [Call Log Details](/ui-kit/react/v4/call-log-details).

By utilizing the [Configurations](#configurations) object of its components, you can apply filters.

In the following **example**, we are applying a filter to the Call Logs by setting the status to show only 'missed' calls and setting the limit to 5 using the `callLogRequestBuilder`.

<Tabs>
  <Tab title="TypeScript">
    CallLogsWithDetailsDemo.tsx

    ```typescript theme={null}
    import { CallLogRequestBuilder } from "@cometchat/calls-sdk-javascript";
    import {
      CallLogsConfiguration,
      CometChatCallLogsWithDetails,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      return (
        <CometChatCallLogsWithDetails
          callLogsConfiguration={
            new CallLogsConfiguration({
              callLogRequestBuilder: new CallLogRequestBuilder()
                .setAuthToken("auth-token")
                .setLimit(5)
                .setCallStatus("missed"),
            })
          }
        />
      );
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogsWithDetailsDemo.jsx

    ```javascript theme={null}
    import { CallLogRequestBuilder } from "@cometchat/calls-sdk-javascript";
    import {
      CallLogsConfiguration,
      CometChatCallLogsWithDetails,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      return (
        <CometChatCallLogsWithDetails
          callLogsConfiguration={
            new CallLogsConfiguration({
              callLogRequestBuilder: new CallLogRequestBuilder()
                .setAuthToken("auth-token")
                .setLimit(5)
                .setCallStatus("missed"),
            })
          }
        />
      );
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>
</Tabs>

***

### Events

[Events](/ui-kit/react/v4/components-overview#events) are emitted by a `Component`. By using event you can extend existing functionality. Being global events, they can be applied in Multiple Locations and are capable of being Added or Removed.

The CallLogsWithDetails does not produce any events.

***

## Customization

To fit your app's design requirements, you have the ability to customize the appearance of the CallLogsWithDetails component. We provide exposed methods that allow you to modify the experience and behavior according to your specific needs.

### Style

Using **Style** you can **customize** the look and feel of the component in your app, These parameters typically control elements such as the **color**, **size**, **shape**, and **fonts** used within the component.

#### 1. WithDetailsStyle

You can set the `withDetailsStyle` to the CallLogsWithDetails Component to customize the styling.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/O4T1K2wxFuaRj1dC/images/a40e7d97-call_logs_with_details_style_web_screens-be2cd6657d45c5543afeac363cb5e273.png?fit=max&auto=format&n=O4T1K2wxFuaRj1dC&q=85&s=20ec2a5b32b5d341bfae84288c7736ec" width="3600" height="2400" data-path="images/a40e7d97-call_logs_with_details_style_web_screens-be2cd6657d45c5543afeac363cb5e273.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    CallLogsWithDetailsDemo.tsx

    ```typescript theme={null}
    import {
      CometChatCallLogsWithDetails,
      WithDetailsStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      const withDetailsStyle = new WithDetailsStyle({
        background: "#d1cfff",
        messageTextColor: "#6b2af7",
        border: "1px solid #E0E0E0",
      });
      return <CometChatCallLogsWithDetails withDetailsStyle={withDetailsStyle} />;
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogsWithDetailsDemo.jsx

    ```javascript theme={null}
    import {
      CometChatCallLogsWithDetails,
      WithDetailsStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      const withDetailsStyle = new WithDetailsStyle({
        background: "#d1cfff",
        messageTextColor: "#6b2af7",
        border: "1px solid #E0E0E0",
      });

      return <CometChatCallLogsWithDetails withDetailsStyle={withDetailsStyle} />;
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>
</Tabs>

***

You can also customize its component styles. For more details on individual component styles, you can refer [Call Logs Styles](/ui-kit/react/v4/call-logs#1-calllogs-style) and [Call Log Details Styles](/ui-kit/react/v4/call-log-details#1-calllogdetails-style).

Styles can be applied to SubComponents using their respective [configurations](#configurations).

**Example**

<Tabs>
  <Tab title="TypeScript">
    CallLogsWithDetailsDemo.tsx

    ```typescript theme={null}
    import {
      CometChatCallLogsWithDetails,
      CallLogDetailsStyle,
      CallLogsStyle,
      CallLogsConfiguration,
      CallLogDetailsConfiguration,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      const callLogsStyle = new CallLogsStyle({
        background: "#ece6f5",
        titleColor: "#000000",
        dateTextColor: "#dac6f5",
      });

      const callLogDetailsStyle = new CallLogDetailsStyle({
        background: "#ece6f5",
        titleColor: "#000000",
        nameTextColor: "#6b2af7",
      });

      return (
        <CometChatCallLogsWithDetails
          callLogsConfiguration={
            new CallLogsConfiguration({
              callLogsStyle: callLogsStyle,
            })
          }
          callLogDetailsConfiguration={
            new CallLogDetailsConfiguration({
              callLogDetailsStyle: callLogDetailsStyle,
            })
          }
        />
      );
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogsWithDetailsDemo.jsx

    ```javascript theme={null}
    import {
      CometChatCallLogsWithDetails,
      CallLogDetailsStyle,
      CallLogsStyle,
      CallLogsConfiguration,
      CallLogDetailsConfiguration,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      const callLogsStyle = new CallLogsStyle({
        background: "#ece6f5",
        titleColor: "#000000",
        dateTextColor: "#dac6f5",
      });

      const callLogDetailsStyle = new CallLogDetailsStyle({
        background: "#ece6f5",
        titleColor: "#000000",
        nameTextColor: "#6b2af7",
      });

      return (
        <CometChatCallLogsWithDetails
          callLogsConfiguration={
            new CallLogsConfiguration({
              callLogsStyle: callLogsStyle,
            })
          }
          callLogDetailsConfiguration={
            new CallLogDetailsConfiguration({
              callLogDetailsStyle: callLogDetailsStyle,
            })
          }
        />
      );
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>
</Tabs>

***

### Functionality

These are a set of **small functional customizations** that allow you to **fine-tune** the overall experience of the component. With these, you can **change text**, set **custom icons**, and toggle the **visibility** of UI elements.

<Tabs>
  <Tab title="TypeScript">
    CallLogsWithDetailsDemo.tsx

    ```typescript theme={null}
    import { CometChatCallLogsWithDetails } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      return (
        <CometChatCallLogsWithDetails
          isMobileView={false}
          messageText="Your Custom Message Text"
        />
      );
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogsWithDetailsDemo.jsx

    ```javascript theme={null}
    import { CometChatCallLogsWithDetails } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      return (
        <CometChatCallLogsWithDetails
          isMobileView={false}
          messageText="Your Custom Message Text"
        />
      );
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>
</Tabs>

Below is a list of customizations along with corresponding code snippets:

| Property         | Description                                                                                                                                          | Code                                     |
| ---------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------- |
| **isMobileView** | A boolean indicating if the component should render in mobile view for optimized display on mobile devices.                                          | `isMobileView: false`                    |
| **messageText**  | It represents the textual content which will be replaced with the Call Log Details component when user clicks on a particular info button call logs. | `messageText="Your Custom Message Text"` |

***

#### Components

Nearly all functionality customizations available for a Component are also available for the composite component. Using [Configuration](#configurations), you can modify the properties of its components to suit your needs.

You can find the list of all Functionality customization of individual components in [Call Logs](/ui-kit/react/v4/call-logs#functionality)and [Call Log Details Styles](/ui-kit/react/v4/call-log-details#functionality).

**Example**

<Tabs>
  <Tab title="TypeScript">
    CallLogsWithDetailsDemo.tsx

    ```typescript theme={null}
    import {
      CometChatCallLogsWithDetails,
      CallLogDetailsConfiguration,
      CallLogsConfiguration,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      return (
        <CometChatCallLogsWithDetails
          callLogsConfiguration={
            new CallLogsConfiguration({
              hideSeparator: true,
              infoIconUrl: "custom info icon",
            })
          }
          callLogDetailsConfiguration={
            new CallLogDetailsConfiguration({
              backIconUrl: "custom back icon",
            })
          }
        />
      );
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogsWithDetailsDemo.jsx

    ```javascript theme={null}
    import {
      CometChatCallLogsWithDetails,
      CallLogDetailsConfiguration,
      CallLogsConfiguration,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      return (
        <CometChatCallLogsWithDetails
          callLogsConfiguration={
            new CallLogsConfiguration({
              hideSeparator: true,
              infoIconUrl: "custom info icon",
            })
          }
          callLogDetailsConfiguration={
            new CallLogDetailsConfiguration({
              backIconUrl: "custom back icon",
            })
          }
        />
      );
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>
</Tabs>

***

### Advanced

For advanced-level customization, you can set custom views to the component. This lets you tailor each aspect of the component to fit your exact needs and application aesthetics. You can create and define your own views, layouts, and UI elements and then incorporate those into the component.

By utilizing the [Configuration](#configurations) object of each component, you can apply advanced-level customizations to the GroupsWithMessages.

**Example**

<Tabs>
  <Tab title="TypeScript">
    CallLogsWithDetailsDemo.tsx

    ```typescript theme={null}
    import { CallLog } from "@cometchat/calls-sdk-javascript";
    import {
      CometChatCallLogsWithDetails,
      CallLogDetailsConfiguration,
      CallLogsConfiguration,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      const getSubtitleView = (call: CallLog): JSX.Element => {
        return (
          <div
            style={{
              display: "flex",
              alignItems: "left",
              padding: "2px",
              fontSize: "10px",
            }}
          >
            <div style={{ color: "gray", fontSize: "15px" }}>
              {call.getStatus()}
            </div>
          </div>
        );
      };

      return (
        <CometChatCallLogsWithDetails
          callLogsConfiguration={
            new CallLogsConfiguration({
              subtitleView: getSubtitleView,
            })
          }
        />
      );
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogsWithDetailsDemo.jsx

    ```javascript theme={null}
    import {
      CometChatCallLogsWithDetails,
      CallLogsConfiguration,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      const getSubtitleView = (call) => {
        return (
          <div
            style={{
              display: "flex",
              alignItems: "left",
              padding: "2px",
              fontSize: "10px",
            }}
          >
            <div style={{ color: "gray", fontSize: "15px" }}>
              {call.getStatus()}
            </div>
          </div>
        );
      };

      return (
        <CometChatCallLogsWithDetails
          callLogsConfiguration={
            new CallLogsConfiguration({
              subtitleView: getSubtitleView,
            })
          }
        />
      );
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>
</Tabs>

***

To find all the details on individual Component advance customization you can refer, [Call Logs Advance](/ui-kit/react/v4/call-logs#advanced) and [Call Log Details Advance](/ui-kit/react/v4/call-log-details#advanced).

CallLogsWithDetails uses advanced-level customization of both Call Logs & Call Log Details components to achieve its default behavior.

1. CallLogsWithDetails utilizes the [onInfoClick](/ui-kit/react/v4/call-logs#2-oninfoclick) property of the `Call Logs` subcomponent to navigate the Call Log Details from [Call Logs](/ui-kit/react/v4/call-logs) to [Call Log Details](/ui-kit/react/v4/call-log-details).

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/D1t_n71f5KROvakA/images/5fa17400-call_logs_with_details_advance_onInfoClick_web_screens-eb538dc72e4cab0343d776638698f87d.png?fit=max&auto=format&n=D1t_n71f5KROvakA&q=85&s=80048ffe9c71740157eb154c8230113c" width="3600" height="2400" data-path="images/5fa17400-call_logs_with_details_advance_onInfoClick_web_screens-eb538dc72e4cab0343d776638698f87d.png" />
</Frame>

2. CallLogsWithDetails utilizes the [onBack](/ui-kit/react/v4/call-log-details#1-onbackclick) action of the `Call Log Details` subcomponent to close the [Call Log Details](/ui-kit/react/v4/call-log-details) Component

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/7-hZ4AEh99NJJtEC/images/97241681-call_logs_with_details_advance_onBack_web_screens-5409d2dd6d917c7501b60e4d16fd6442.png?fit=max&auto=format&n=7-hZ4AEh99NJJtEC&q=85&s=1899e59764326fd67a69b99d7455a347" width="3600" height="2400" data-path="images/97241681-call_logs_with_details_advance_onBack_web_screens-5409d2dd6d917c7501b60e4d16fd6442.png" />
</Frame>

<Warning>
  When you override `onItemClick` and `onBack`, the default behavior of CallLogsWithDetails will also be overridden.
</Warning>

## Configurations

[Configurations](/ui-kit/react/v4/components-overview#configurations) offer the ability to customize the properties of each component within a Composite Component.

CallLogsWithDetails has `Call Logs` and `Call Log Details` component. Hence, each of these components will have its individual `Configuration`.

* `Configurations` expose properties that are available in its individual components.

#### Call Logs

You can customize the properties of the Groups component by making use of the `callLogsConfiguration`. You can accomplish this by employing the `callLogsConfiguration` props as demonstrated below:

<Tabs>
  <Tab title="TypeScript">
    ```typescript theme={null}
     callLogsConfiguration={new CallLogsConfiguration({
      //Override the properties of call logs
      })}
    ```
  </Tab>

  <Tab title="JavaScript">
    ```javascript theme={null}
     callLogsConfiguration={new CallLogsConfiguration({
      //Override the properties of call logs
      })}
    ```
  </Tab>
</Tabs>

All exposed properties of `CallLogsConfiguration` can be found under [Call Logs](/ui-kit/react/v4/call-logs). Properties marked with the [report]() symbol are not accessible within the Configuration Object.

**Example**

Let's say you want to change the style of the Call Logs subcomponent and, in addition, you only want to hide the separator of the Call Logs.

You can modify the style using the `callLogsStyle` property and hide the separator using `hideSeparator` property.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/KQU96uDrdF-ESW1d/images/315ca75a-call_logs_with_details_call_log_configuration_web_screens-84d60a088e2a74fe3c55d62990ee4ed4.png?fit=max&auto=format&n=KQU96uDrdF-ESW1d&q=85&s=7106460ec854515a6cc1f52e4e9683ea" width="3600" height="2400" data-path="images/315ca75a-call_logs_with_details_call_log_configuration_web_screens-84d60a088e2a74fe3c55d62990ee4ed4.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    CallLogsWithDetailsDemo.tsx

    ```typescript theme={null}
    import {
      CometChatCallLogsWithDetails,
      CallLogsStyle,
      CallLogsConfiguration,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      const callLogsStyle = new CallLogsStyle({
        background: "#ece6f5",
        titleColor: "#000000",
        dateTextColor: "#dac6f5",
      });
      return (
        <CometChatCallLogsWithDetails
          callLogsConfiguration={
            new CallLogsConfiguration({
              hideSeparator: true,
              callLogsStyle: callLogsStyle,
            })
          }
        />
      );
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogsWithDetailsDemo.jsx

    ```javascript theme={null}
    import {
      CometChatCallLogsWithDetails,
      CallLogsStyle,
      CallLogsConfiguration,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      const callLogsStyle = new CallLogsStyle({
        background: "#ece6f5",
        titleColor: "#000000",
        dateTextColor: "#dac6f5",
      });
      return (
        <CometChatCallLogsWithDetails
          callLogsConfiguration={
            new CallLogsConfiguration({
              hideSeparator: true,
              callLogsStyle: callLogsStyle,
            })
          }
        />
      );
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>
</Tabs>

***

#### Call Log Details

You can customize the properties of the Call Log Details component by making use of the `callLogDetailsConfiguration`. You can accomplish this by employing the `callLogDetailsConfiguration` props as demonstrated below:

<Tabs>
  <Tab title="TypeScript">
    ```typescript theme={null}
      callLogDetailsConfiguration={new CallLogDetailsConfiguration({
        //Override the properties of call log details
      })}
    ```
  </Tab>

  <Tab title="JavaScript">
    ```javascript theme={null}
      callLogDetailsConfiguration={new CallLogDetailsConfiguration({
        //Override the properties of call log details
      })}
    ```
  </Tab>
</Tabs>

All exposed properties of `CallLogDetailsConfiguration` can be found under [Call Log Details](/ui-kit/react/v4/call-log-details#functionality). Properties marked with the [report]() symbol are not accessible within the Configuration Object.

**Example**

Let's say you want to change the style of the Call Log Details subcomponent and, in addition, you only want to change the Back Icon.

You can modify the style using the `callLogDetailsStyle` property and change the back icon using \`\` property.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/_jsRdrzYcNj1bcHI/images/4430c04a-call_logs_with_details_call_log_details_configuration_web_screens-9e2959c7e58854853f51bb43c77ff4a5.png?fit=max&auto=format&n=_jsRdrzYcNj1bcHI&q=85&s=beb147dca2ad07a48296600dbae6b3bf" width="3600" height="2400" data-path="images/4430c04a-call_logs_with_details_call_log_details_configuration_web_screens-9e2959c7e58854853f51bb43c77ff4a5.png" />
</Frame>

<Tabs>
  <Tab title="TypeScript">
    CallLogsWithDetailsDemo.tsx

    ```typescript theme={null}
    import {
      CometChatCallLogsWithDetails,
      CallLogDetailsConfiguration,
      CallLogDetailsStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      const callLogDetailsStyle = new CallLogDetailsStyle({
        background: "#ece6f5",
        titleColor: "#000000",
        nameTextColor: "#6b2af7",
      });

      return (
        <CometChatCallLogsWithDetails
          callLogDetailsConfiguration={
            new CallLogDetailsConfiguration({
              callLogDetailsStyle: callLogDetailsStyle,
              backIconUrl: "custom back icon",
            })
          }
        />
      );
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>

  <Tab title="JavaScript">
    CallLogsWithDetailsDemo.jsx

    ```javascript theme={null}
    import {
      CometChatCallLogsWithDetails,
      CallLogDetailsConfiguration,
      CallLogDetailsStyle,
    } from "@cometchat/chat-uikit-react";
    import React from "react";

    const CallLogsWithDetailsDemo = () => {
      const callLogDetailsStyle = new CallLogDetailsStyle({
        background: "#ece6f5",
        titleColor: "#000000",
        nameTextColor: "#6b2af7",
      });

      return (
        <CometChatCallLogsWithDetails
          callLogDetailsConfiguration={
            new CallLogDetailsConfiguration({
              callLogDetailsStyle: callLogDetailsStyle,
              backIconUrl: "custom back icon",
            })
          }
        />
      );
    };

    export default CallLogsWithDetailsDemo;
    ```
  </Tab>
</Tabs>


> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Call Log With Details

> Call Log With Details — CometChat documentation.

## Overview

The `CometChatCallLogsWithDetails` is a [Composite Component](/docs/ui-kit/angular/v4/components-overview#composite-components) encompassing components such as [Call Logs](/docs/ui-kit/angular/v4/call-logs) and [Call Log Details](/docs/ui-kit/angular/v4/call-log-details). Both of these component contributes to the functionality and structure of the overall `CallLogsWithDetails` component.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/L67V-UjCgqzL1qxp/images/74ce09e1-call_logs_with_details_overview_web_screens-e939f51d8856d0ac37927d679d411c74.png?fit=max&auto=format&n=L67V-UjCgqzL1qxp&q=85&s=fa244ef0a4103e27df6aa7cdd84bbdbd" width="3600" height="2400" data-path="images/74ce09e1-call_logs_with_details_overview_web_screens-e939f51d8856d0ac37927d679d411c74.png" />
</Frame>

| Components                                              | Description                                                                                                                                                                                                                                                           |
| ------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Call Logs](/docs/ui-kit/angular/v4/call-logs)               | The `Call Logs` component is designed to show the list of Call Log available . By default, names are shown for all listed users, along with their avatar if available.                                                                                                |
| [Call Log Details](/docs/ui-kit/angular/v4/call-log-details) | The `Call Log Details` component is designed to displays all the information related to a call. This component displays information like user/group information, participants of the call, recordings of the call (if available) & history of all the previous calls. |

## Usage

### Integration

<Tabs>
  <Tab title="app.module.ts">
    ```ts theme={null}
    import { CUSTOM_ELEMENTS_SCHEMA, NgModule } from "@angular/core";
    import { BrowserModule } from "@angular/platform-browser";
    import { CometChatCallLogsWithDetails } from "@cometchat/chat-uikit-angular";
    import { AppComponent } from "./app.component";

    @NgModule({
      imports: [BrowserModule, CometChatCallLogsWithDetails],
      declarations: [AppComponent],
      providers: [],
      bootstrap: [AppComponent],
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
    })
    export class AppModule {}
    ```
  </Tab>

  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-logs-with-details></cometchat-call-logs-with-details>
    </div>
    ```
  </Tab>
</Tabs>

***

### Actions

[Actions](/docs/ui-kit/angular/v4/components-overview#actions) dictate how a component functions. They are divided into two types: Predefined and User-defined. You can override either type, allowing you to tailor the behavior of the component to fit your specific needs.

While the CallLogsWithDetails component does not have its actions, its components - Call Logs, and Call Log Details - each have their own set of actions.

The Action of the components can be overridden through the use of the Configurations object of its components. Here is an example code snippet.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import { CallLogDetailsConfiguration, CallLogsConfiguration } from '@cometchat/uikit-shared';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      public handleOnBack = () => {
        console.log("Your custom on back action");
      }
      public handleOnInfoClick = (item: any) => {
        console.log("your custom on info click actions");
      }
      callLogDetailsConfiguration = new CallLogDetailsConfiguration({
        onBackClick:this.handleOnBack
      });
      callLogConfiguration = new CallLogsConfiguration({
        onInfoClick:this.handleOnInfoClick
      });
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-logs-with-details
        [callLogConfiguration]="callLogConfiguration"
        [callLogDetailsConfiguration]="callLogDetailsConfiguration"
      ></cometchat-call-logs-with-details>
    </div>
    ```
  </Tab>
</Tabs>

The `CometChatCallLogsWithDetails` component overrides several actions from its components to reach its default behavior. The list of actions overridden by GroupsWithMessages includes:

* [onInfoClick](/docs/ui-kit/angular/v4/call-logs#2-oninfoclick) : By overriding the `onInfoClick` of the Call Logs Component, CallLogsWithDetails achieves navigation from [Call Logs](/docs/ui-kit/angular/v4/call-logs) to [Call Log Details](/docs/ui-kit/angular/v4/call-log-details) component.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/Mh-tK73gC5erLrBQ/images/f3c9fe21-call_logs_with_details_oninfoclick_web_screens-eb538dc72e4cab0343d776638698f87d.png?fit=max&auto=format&n=Mh-tK73gC5erLrBQ&q=85&s=2d91691569e4fb0be46ef6547c4d68fe" width="3600" height="2400" data-path="images/f3c9fe21-call_logs_with_details_oninfoclick_web_screens-eb538dc72e4cab0343d776638698f87d.png" />
</Frame>

***

### Fliters

**Filters** allow you to customize the data displayed in a list within a Component. You can filter the list based on your specific criteria, allowing for a more customized. Filters can be applied using RequestBuilders of Chat SDK.

While the CallLogsWithDetails component does not have filters, its components do, For more detail on individual filters of its component refer to [Call Logs](/docs/ui-kit/angular/v4/call-logs) and [Call Log Details](/docs/ui-kit/angular/v4/call-log-details).

By utilizing the [Configurations](#configurations) object of its components, you can apply filters.

In the following **example**, we are applying a filter to the Call Logs by setting the status to show only 'missed' calls and setting the limit to 5 using the `callLogRequestBuilder`.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import { CallLogDetailsConfiguration, CallLogsConfiguration } from '@cometchat/uikit-shared';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      callLogRequestBuilder = new CallLogRequestBuilder().setAuthToken("auth-token").setLimit(5).setCallStatus("cancelled").build();
      callLogConfiguration = new CallLogsConfiguration({
        callLogRequestBuilder:this.callLogRequestBuilder
      });
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-logs-with-details
        [callLogConfiguration]="callLogConfiguration"
      ></cometchat-call-logs-with-details>
    </div>
    ```
  </Tab>
</Tabs>

***

### Events

[Events](/docs/ui-kit/angular/v4/components-overview#events) are emitted by a `Component`. By using event you can extend existing functionality. Being global events, they can be applied in Multiple Locations and are capable of being Added or Removed.

The CallLogsWithDetails does not produce any events.

***

## Customization

To fit your app's design requirements, you have the ability to customize the appearance of the CallLogsWithDetails component. We provide exposed methods that allow you to modify the experience and behavior according to your specific needs.

### Style

Using **Style** you can **customize** the look and feel of the component in your app, These parameters typically control elements such as the **color**, **size**, **shape**, and **fonts** used within the component.

##### 1. WithDetailsStyle

You can set the `withDetailsStyle` to the CallLogsWithDetails Component to customize the styling.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/O4T1K2wxFuaRj1dC/images/a40e7d97-call_logs_with_details_style_web_screens-be2cd6657d45c5543afeac363cb5e273.png?fit=max&auto=format&n=O4T1K2wxFuaRj1dC&q=85&s=20ec2a5b32b5d341bfae84288c7736ec" width="3600" height="2400" data-path="images/a40e7d97-call_logs_with_details_style_web_screens-be2cd6657d45c5543afeac363cb5e273.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import { WithDetailsStyle } from '@cometchat/uikit-shared';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      callLogWithDetailsStyle = new WithDetailsStyle({
        background: "#d1cfff",
        messageTextColor: "#6b2af7",
        border: "1px solid #E0E0E0",
      });
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-logs-with-details
        [withDetailsStyle]="callLogWithDetailsStyle"
      ></cometchat-call-logs-with-details>
    </div>
    ```
  </Tab>
</Tabs>

***

You can also customize its component styles. For more details on individual component styles, you can refer [Call Logs Styles](/docs/ui-kit/angular/v4/call-logs#1-calllogs-style) and [Call Log Details Styles](/docs/ui-kit/angular/v4/call-log-details#1-calllogdetails-style).

Styles can be applied to SubComponents using their respective [configurations](#configurations).

**Example**

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import { CallLogsConfiguration, CallLogDetailsConfiguration, CallLogDetailsStyle, CallLogsStyle } from '@cometchat/uikit-shared';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      callLogsStyle = new CallLogsStyle({
        background: "#dac6f5",
        titleColor: "#000000",
        dateTextColor: "#dac6f5",
      });
      callLogDetailsStyle = new CallLogDetailsStyle({
        background: "#ece6f5",
        titleColor: "#000000",
        nameTextColor: "#6b2af7",
      });
      callLogDetailsConfiguration = new CallLogDetailsConfiguration({
        callLogDetailsStyle:this.callLogDetailsStyle
      });

      callLogConfiguration = new CallLogsConfiguration({
        callLogsStyle:this.callLogsStyle
      });
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-logs-with-details
        [callLogConfiguration]="callLogConfiguration"
        [callLogDetailsConfiguration]="callLogDetailsConfiguration"
      ></cometchat-call-logs-with-details>
    </div>
    ```
  </Tab>
</Tabs>

***

### Functionality

These are a set of **small functional customizations** that allow you to **fine-tune** the overall experience of the component. With these, you can **change text**, set **custom icons**, and toggle the **visibility** of UI elements.

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-logs-with-details
        [isMobileView]="true"
        [messageText]="'Your Custom Text'"
      ></cometchat-call-logs-with-details>
    </div>
    ```
  </Tab>
</Tabs>

Below is a list of customizations along with corresponding code snippets:

| Property         | Description                                                                                                                                          | Code                                     |
| ---------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------- |
| **isMobileView** | A boolean indicating if the component should render in mobile view for optimized display on mobile devices.                                          | `isMobileView: false`                    |
| **messageText**  | It represents the textual content which will be replaced with the Call Log Details component when user clicks on a particular info button call logs. | `messageText="Your Custom Message Text"` |

***

##### Components

Nearly all functionality customizations available for a Component are also available for the composite component. Using [Configuration](#configurations), you can modify the properties of its components to suit your needs.

You can find the list of all Functionality customization of individual components in [Call Logs](/docs/ui-kit/angular/v4/call-logs#functionality)and [Call Log Details Styles](/docs/ui-kit/angular/v4/call-log-details#functionality).

**Example**

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import { CallLogsConfiguration, CallLogDetailsConfiguration } from '@cometchat/uikit-shared';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }

      callLogDetailsConfiguration = new CallLogDetailsConfiguration({
        backIconUrl:customicon
      });

      callLogConfiguration = new CallLogsConfiguration({
        hideSeparator:true,
        infoIconUrl: customicon
      });
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-logs-with-details
        [callLogConfiguration]="callLogConfiguration"
        [callLogDetailsConfiguration]="callLogDetailsConfiguration"
      ></cometchat-call-logs-with-details>
    </div>
    ```
  </Tab>
</Tabs>

***

### Advanced

For advanced-level customization, you can set custom views to the component. This lets you tailor each aspect of the component to fit your exact needs and application aesthetics. You can create and define your own views, layouts, and UI elements and then incorporate those into the component.

By utilizing the [Configuration](#configurations) object of each component, you can apply advanced-level customizations to the GroupsWithMessages.

**Example**

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import { CallLogsConfiguration } from '@cometchat/uikit-shared';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      @ViewChild('subtitleTemplate', { static: true }) subtitleTemplate!: TemplateRef<any>;
      callLogConfiguration = new CallLogsConfiguration({
       subtitleView:this.subtitleTemplate
      });
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-logs-with-details
        [callLogConfiguration]="callLogConfiguration"
      ></cometchat-call-logs-with-details>
    </div>
    <ng-template #subtitleTemplate>
      <div
        style="display: flex; align-items: left; padding: 10px; font-size: 10px;"
      >
        your custom subtitleview
      </div>
    </ng-template>
    ```
  </Tab>
</Tabs>

***

To find all the details on individual Component advance customization you can refer, [Call Logs Advance](/docs/ui-kit/angular/v4/call-logs#advanced) and [Call Log Details Advance](/docs/ui-kit/angular/v4/call-log-details#advanced).

CallLogsWithDetails uses advanced-level customization of both Call Logs & Call Log Details components to achieve its default behavior.

1. CallLogsWithDetails utilizes the [onInfoClick](/docs/ui-kit/angular/v4/call-logs#2-oninfoclick) property of the `Call Logs` subcomponent to navigate the Call Log Details from [Call Logs](/docs/ui-kit/angular/v4/call-logs) to [Call Log Details](/docs/ui-kit/angular/v4/call-log-details).

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/D1t_n71f5KROvakA/images/5fa17400-call_logs_with_details_advance_onInfoClick_web_screens-eb538dc72e4cab0343d776638698f87d.png?fit=max&auto=format&n=D1t_n71f5KROvakA&q=85&s=80048ffe9c71740157eb154c8230113c" width="3600" height="2400" data-path="images/5fa17400-call_logs_with_details_advance_onInfoClick_web_screens-eb538dc72e4cab0343d776638698f87d.png" />
</Frame>

2. CallLogsWithDetails utilizes the [onBack](/docs/ui-kit/angular/v4/call-log-details#1-onbackclick) action of the `Call Log Details` subcomponent to close the [Call Log Details](/docs/ui-kit/angular/v4/call-log-details) Component

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/7-hZ4AEh99NJJtEC/images/97241681-call_logs_with_details_advance_onBack_web_screens-5409d2dd6d917c7501b60e4d16fd6442.png?fit=max&auto=format&n=7-hZ4AEh99NJJtEC&q=85&s=1899e59764326fd67a69b99d7455a347" width="3600" height="2400" data-path="images/97241681-call_logs_with_details_advance_onBack_web_screens-5409d2dd6d917c7501b60e4d16fd6442.png" />
</Frame>

<Warning>
  When you override `onItemClick` and `onBack`, the default behavior of CallLogsWithDetails will also be overridden.
</Warning>

## Configurations

[Configurations](/docs/ui-kit/angular/v4/components-overview#configurations) offer the ability to customize the properties of each component within a Composite Component.

CallLogsWithDetails has `Call Logs` and `Call Log Details` component. Hence, each of these components will have its individual `Configuration`.

* `Configurations` expose properties that are available in its individual components.

#### Call Logs

You can customize the properties of the Groups component by making use of the `callLogsConfiguration`.

All exposed properties of `CallLogsConfiguration` can be found under [Call Logs](/docs/ui-kit/angular/v4/call-logs). Properties marked with the 🛑 symbol are not accessible within the Configuration Object.

**Example**

Let's say you want to change the style of the Call Logs subcomponent and, in addition, you only want to hide the separator of the Call Logs.

You can modify the style using the `callLogsStyle` property and hide the separator using `hideSeparator` property.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/KQU96uDrdF-ESW1d/images/315ca75a-call_logs_with_details_call_log_configuration_web_screens-84d60a088e2a74fe3c55d62990ee4ed4.png?fit=max&auto=format&n=KQU96uDrdF-ESW1d&q=85&s=7106460ec854515a6cc1f52e4e9683ea" width="3600" height="2400" data-path="images/315ca75a-call_logs_with_details_call_log_configuration_web_screens-84d60a088e2a74fe3c55d62990ee4ed4.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import { CallLogsConfiguration, CallLogsStyle } from '@cometchat/uikit-shared';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      callLogsStyle = new CallLogsStyle({
        background: "#dac6f5",
        titleColor: "#000000",
        dateTextColor: "#dac6f5",
      });
      callLogConfiguration = new CallLogsConfiguration({
       callLogsStyle:this.callLogsStyle,
       hideSeparator:true,
      });
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-logs-with-details
        [callLogConfiguration]="callLogConfiguration"
      ></cometchat-call-logs-with-details>
    </div>
    ```
  </Tab>
</Tabs>

***

#### Call Log Details

You can customize the properties of the Call Log Details component by making use of the `callLogDetailsConfiguration`. You can accomplish this by employing the `callLogDetailsConfiguration` props as demonstrated below:

All exposed properties of `CallLogDetailsConfiguration` can be found under [Call Log Details](/docs/ui-kit/angular/v4/call-log-details#functionality). Properties marked with the 🛑 symbol are not accessible within the Configuration Object.

**Example**

Let's say you want to change the style of the Call Log Details subcomponent and, in addition, you only want to change the Back Icon.

You can modify the style using the `callLogDetailsStyle` property and change the back icon using \`\` property.

<Frame>
  <img src="https://mintcdn.com/cometchat-22654f5b/_jsRdrzYcNj1bcHI/images/4430c04a-call_logs_with_details_call_log_details_configuration_web_screens-9e2959c7e58854853f51bb43c77ff4a5.png?fit=max&auto=format&n=_jsRdrzYcNj1bcHI&q=85&s=beb147dca2ad07a48296600dbae6b3bf" width="3600" height="2400" data-path="images/4430c04a-call_logs_with_details_call_log_details_configuration_web_screens-9e2959c7e58854853f51bb43c77ff4a5.png" />
</Frame>

<Tabs>
  <Tab title="app.component.ts">
    ```ts theme={null}
    import { CometChat } from '@cometchat/chat-sdk-javascript';
    import { Component, OnInit } from '@angular/core';
    import {  CometChatThemeService, CometChatUIKit } from '@cometchat/chat-uikit-angular';
    import { CallLogDetailsConfiguration, CallLogDetailsStyle } from '@cometchat/uikit-shared';
    import "@cometchat/uikit-elements";

    @Component({
      selector: 'app-root',
      templateUrl: './app.component.html',
      styleUrls: ['./app.component.css']
    })
    export class AppComponent {

      constructor(private themeService:CometChatThemeService) {
        themeService.theme.palette.setMode("light")
        themeService.theme.palette.setPrimary({ light: "#6851D6", dark: "#6851D6" })
      }
      callLogDetailsStyle = new CallLogDetailsStyle({
        background: "#ece6f5",
        titleColor: "#000000",
        nameTextColor: "#6b2af7",
      });
      callLogDetailsConfiguration = new CallLogDetailsConfiguration({
        callLogDetailsStyle:this.callLogDetailsStyle,
        backIconUrl:customIcon
      });
      onLogin(UID?: any) {
        CometChatUIKit.login({ uid: UID }).then(
          (user) => {
            setTimeout(() => {
              window.location.reload();
            }, 1000);
          },
          (error) => {
            console.log("Login failed with exception:", { error });
          }
        );
      }
    }
    ```
  </Tab>

  <Tab title="app.component.html">
    ```html theme={null}
    <div class="fullwidth">
      <cometchat-call-logs-with-details
        [callLogDetailsConfiguration]="callLogDetailsConfiguration"
      ></cometchat-call-logs-with-details>
    </div>
    ```
  </Tab>
</Tabs>

***
